using System;

internal sealed class Delegate59 : MulticastDelegate
{
	public extern void Invoke(object object_0);

	public static void smethod_0(object object_0, Delegate59 delegate59_1)
	{
		delegate59_1(object_0);
	}

	public extern Delegate59(object object_0, IntPtr intptr_0);

	static Delegate59()
	{
		Class10.smethod_13(typeof(Delegate59).TypeHandle);
	}

	internal static Delegate59 delegate59_0;
}
